<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/background_color"
    android:orientation="vertical"
    tools:context=".ui.efficiency_tools.itinerary.AddItineraryActivity">

    <include
        layout="@layout/layout_title"
        android:layout_width="match_parent"
        android:layout_height="wrap_content" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="60dp"
        android:background="@color/white"
        android:gravity="center_vertical"
        android:orientation="vertical">

        <EditText
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:layout_marginEnd="@dimen/common_padding_huge"
            android:background="@null"
            android:hint="@string/itinerary_title_input_hint"
            android:importantForAutofill="no"
            android:inputType="text"
            android:textColorHint="@color/hint_text_color"
            android:textSize="@dimen/text_size_large" />

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/common_padding"
        android:background="@color/white"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginEnd="@dimen/common_padding_huge">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:text="@string/start_time"
                android:textSize="@dimen/text_size_medium"
                android:textStyle="bold" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="end"
                android:hint="@string/please_select"
                android:textColorHint="@color/hint_text_color"
                android:textSize="@dimen/text_size_medium" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/line"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginEnd="@dimen/common_padding_huge"
            android:background="@color/background_color" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginEnd="@dimen/common_padding_huge">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/duration"
                android:textSize="@dimen/text_size_medium"
                android:textStyle="bold" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="end"
                android:text="@string/duration_select_hint"
                android:textSize="@dimen/text_size_medium" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/line"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginEnd="@dimen/common_padding_huge"
            android:background="@color/background_color" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginEnd="@dimen/common_padding_huge"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/itinerary_location"
                android:textSize="@dimen/text_size_medium"
                android:textStyle="bold" />

            <EditText
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginStart="@dimen/common_padding"
                android:layout_weight="1"
                android:background="@color/white"
                android:gravity="end"
                android:hint="@string/itinerary_add_location"
                android:importantForAutofill="no"
                android:inputType="text"
                android:textColor="@color/hint_text_color"
                android:textSize="@dimen/text_size_medium" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/line"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginEnd="@dimen/common_padding_huge"
            android:background="@color/background_color" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginEnd="@dimen/common_padding_huge"
            android:orientation="horizontal"
            tools:ignore="UseCompoundDrawables">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="@string/itinerary_add_member"
                android:textSize="@dimen/text_size_medium"
                android:textStyle="bold" />

            <ImageView
                android:layout_width="@dimen/common_padding_heavy"
                android:layout_height="@dimen/common_padding_heavy"
                android:src="@mipmap/icon_add_members"
                tools:ignore="ContentDescription" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/line"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginEnd="@dimen/common_padding_huge"
            android:background="@color/background_color" />

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="@dimen/common_padding"
        android:layout_weight="1"
        android:background="@color/white"
        android:orientation="vertical">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginEnd="@dimen/common_padding_huge"
            android:text="@string/itinerary_description"
            android:textSize="@dimen/text_size_medium"
            android:textStyle="bold" />

        <com.pan_american.android.util.ScrollEditText
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginEnd="@dimen/common_padding_huge"
            android:layout_marginBottom="@dimen/common_padding"
            android:background="@drawable/shape_large_edit_text_background"
            android:scrollbars="none"
            android:textSize="@dimen/text_size_medium" />

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/login"
            android:layout_width="match_parent"
            android:layout_height="@dimen/button_height"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:layout_marginTop="@dimen/common_padding_huge"
            android:layout_marginEnd="@dimen/common_padding_huge"
            android:layout_marginBottom="50dp"
            android:background="@drawable/shape_corner_solid_blue"
            android:gravity="center"
            android:text="@string/save_itinerary"
            android:textColor="@color/white"
            android:textSize="@dimen/text_size_large"
            android:textStyle="bold" />

    </LinearLayout>

</LinearLayout>